<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<!-- <title><?= $document->title != '' ? 'Open iT - ' . $document->title : 'Open iT' ?></title>-->
	<!-- Change the name of the page to the one set in the Configuration -->
	<title><?= $_SESSION["INI"][ServerConfig::INI_TITLE]?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	
	<link rel="stylesheet" type="text/css" href="/css/general.css" />
	
	<!--  <script type="text/javascript" src="/js/ajaxmanager.js"></script>
	<script type="text/javascript" src="/js/draganddrop.js"></script>
	 -->
 
	<script type="text/javascript" src="/js/mootools-1.2.1-core.js"></script>
	<script type="text/javascript" src="/js/mootools-1.2-more.js"></script>
	
	<script type="text/javascript" src="/js/validation.js"></script>
	
	<!-- <script type="text/javascript" src="/js/general.js"></script>  -->
	
	<script type="text/javascript">
	<!--
	try {
		window.addEvent('domready', function() {
    		$('console').scrollTop = $('console').scrollHeight;    		
		});
	} catch(e) {}
	//-->
	</script>
	
	<?= $document->head ?> 
</head>

<body>

<div id="error_background"></div>
<div id="error_box"></div>
<div id="tooltip"></div>

<div id="wrapper">

	<div id="header">
	
		<?php
			if (UserHelper::isLoggedIn()) {
		?>
		<div id="loggedinuser">
			<label>Logged in as: <?= UserHelper::getCurrentUser()->getName() ?></label>
			<input type="button" value="Log out" onclick="top.location='/logout.php'" />
		</div>
		<?php
			}
		?>
		
		
		<div id="loading"></div>
		
		<h1 id="logo">Open iT</h1>
		
		<ul id="level1">
		<?php
		if (UserHelper::isLoggedIn()) {
			MenuDisplayer::topMenu();
		}
		?>
		</ul>
	<!-- 
 		<ul id="level1">
 			<li ><a href="/dashboard/" >Dashboard</a></li>
		 	<li ><a href="/template_selection/" >Template Selection</a></li>
			<li ><a href="/complete_selection/" >Complete Selection</a></li>
			<li ><a href="/periodic_jobs/" >Periodic Jobs</a></li>
			<li ><a href="/generated_reports/" >Generated Reports</a></li>
			<li class="active"><a class="active" href="/access_control/" >Administration</a></li>
		</ul>
		-->
	</div>
	
<?php if (!empty($document->menu)) { ?>
	<ul id="level2">
		<?= MenuDisplayer::menu($document->menu); ?>
	</ul>
<?php } ?>

	<?php /*
	<ul id="level2">
		<li ><a href="/access_control/index.php" >Users</a></li>
		<li ><a href="/access_control/groups.php" >Groups</a></li>
		<li ><a href="/admin/disclaimer.php" >Disclaimer</a></li>
		<li class="active"><a href="/module/mapping" class="active" >Mapping</a></li>	
		<li ><a href="/admin/configuration.php" >Configuration</a></li>
	</ul>
	*/ ?>

	<div id="content">
	
	<?php /*
		<ul id="level3">
			<li class="active"><a href="/module/mapping">List</a></li>
			<li class="active last"><a href="/module/mapping/source">Sources</a></li>			
		</ul>
	*/?>
	
		<?php if (!empty($document->subMenu)) { ?>
			<ul id="level3">
				<?= MenuDisplayer::menu($document->subMenu); ?>
			</ul>
			<div class="clearer"></div>
		<?php } ?>

	
		<?php if ($document->message->type != '') { ?>
			<div><?= $document->message->text ?></div>
		<?php } ?>
		
		<?= $document->body ?>
		
	</div>

	<fieldset id="console_log">
		<legend><img src="/gfx/icons/console24.png" style="border: 0;" />Status Messages</legend>
		<div id="console"></div>
	</fieldset>
		
</div>

</body>
</html>
