<?php
	$CSS_for_IE6 = (strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE 6.') !== FALSE) ? '-IE' : ''; 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<?
	RealTime::checkMessages();
	if(isset($_SESSION["ERROR_MESSAGE"])){?>
				<div id="spacer">
					<h2 id="realtime_header"><?= tt("menu_dashboard_status") ?></h2>
					<?= $_SESSION["ERROR_MESSAGE"] ?>		
					<br />		<br />	
				</div>
		
	<?}else{
		?>
<head>
<link href="/css/sortableTable.css" rel="stylesheet" type="text/css" />
<link href="/css/statusmonitor.css" rel="stylesheet" type="text/css" />
<link href="/css/bubbletip.css" rel="stylesheet" type="text/css" />
<!--[if IE]>
	<link href="/css/bubbletip-IE.css" rel="stylesheet" type="text/css" />
<![endif]-->
<script type="text/javascript" src="/js/sortableTable.js"></script>
<script type="text/javascript" src="/js/scroller.js"></script>

</head>
<body>
<?php
$descriptions = array();
$index = 0;

if (isset($_SESSION["USER"]) && $_SESSION["USER"]->getId() != 9999999) {
	if(SystemSettings::get(SystemSettings::SERVER_NS . "menu.statusmonitor.featureexpiry", 0) > 0){
?>
	<ul id="level3">
		<?= MenuDisplayer::menu('statussub'); ?>
	</ul>
<?
	}
}else{
	include $_SERVER["DOCUMENT_ROOT"] . "/../" . "smarty/pages/header_status.php";
}?>	
<div class="clearer"></div>
<div id="spacer">

<div id="status_feature_analyzer" class="statusmodule">
<h2 class="statusmonitor<?= $CSS_for_IE6; ?>">Feature Expiration</h2>
<fieldset><legend>Current Feature Status</legend>

<div id="sortabletable"><!-- Filter function  -->
<div class="tableFilter">
<form id="tableFilter"
	onsubmit="feature_status_table.filter(this.id); return false;"><label>Filter:</label>
<select id="column">
	<option value="0">Product Name</option>
	<option value="1">Feature Name</option>
	<option value="2">Feature Version</option>
	<option value="3">Total Licenses</option>
	<option value="4">Expiry</option>
</select> <input type="text" id="keyword" /> <input type="submit"
	value="Submit" /> <input type="reset" value="Clear" /></form>
</div>

<!-- List all features in sortable table  -->
<table id="feature_status_table" >
	<thead>
		<tr>
			<th width=30% axis="string">Product Name</th>
			<th width=22% axis="string">Feature Name</th>
			<th width=10% axis="string">Feature Version</th>
			<th width=8% axis="number">Total Licenses</th>
			<th width=30% axis="number">Expiry</th>
		</tr>
	</thead>

	<!-- Create rows, where status is updated based on current time since last poll. TODO: What happens when the server is in another timezone???  -->
	<tbody>
	<?php
	$descriptions;
	$realtime = RealTime::getInstance();
	$featureList = $realtime->getFeatures();
	date_default_timezone_set('UTC');

	// Get user selections
	$selection = new ReportSelection();

	// If we have a offset posted, we use this when displaying checkout time
	$TIMEZONE_OFFSET = $selection->get(RealTime::GUI_TIMEZONE_OFFSET) != "" && is_numeric($selection->get(RealTime::GUI_TIMEZONE_OFFSET)) ? (int) $selection->get(RealTime::GUI_TIMEZONE_OFFSET) : 0;

	//print_r($list); return;
	$fid = 0;
	$counter = 0;
	
	
	
	
	foreach ($list as $product) {
		$featureList = $product->getFeatures();
		foreach ($featureList as $feature) {
			$counter++;
			$feature_license = $feature->getLicenseFile();
			?>
			
		<tr id="<?="row".$fid?>" onmouseout="this.style.backgroundColor='';showHideDescription('tip<?=$fid?>', false);" onmouseover="this.style.backgroundColor='#a7a7a7';showHideDescription('tip<?=$fid?>', true);">
			
		<td value="<?= $product->name  ?>" <?= (strlen($product->name)>35) ? 'onmouseover="Scroller.start(this)" onmouseout="Scroller.stop(this)"' : '' ?> ><?= strlen($product->name)>35 ? trim(substr($product->name, 0, 35))."..." : $product->name ?></td>
		<td value="<?= $feature->name  ?>" <?= (strlen($feature->name)>35) ? 'onmouseover="Scroller.start(this)" onmouseout="Scroller.stop(this)"' : '' ?> ><?= strlen($feature->name)>35 ? trim(substr($feature->name, 0, 35))."..." : $feature->name ?></td>
		
		
		<?if($feature->version < 0 || $feature->version == ''){?>
		<td value="-1"><?= "N/A"?></td>
		<?}else{?>
		<td value="<?= $feature->version  ?>"><?= $feature->version  ?></td>
		<?}?>
		<td value="<?= $feature->licensesTotal ?>"><?= $feature->licensesTotal ?></td>
		<?
		$expires = $feature->getExpiryFormat($TIMEZONE_OFFSET);
		$expiryDate = $feature->getExpiryValue($TIMEZONE_OFFSET);
		$expiryInSeconds =  $feature->getExpiryEpoch($TIMEZONE_OFFSET);
		$expiryInHours = $feature->getExpiry($TIMEZONE_OFFSET);
		if($feature->getExpiry($TIMEZONE_OFFSET) != "N/A"){
			($expiryInHours < 24) ? $expires = '<td class="critical'.$CSS_for_IE6.'" value="'. $expiryInSeconds . '"><div style="float: left;">'.date("Y-m-d H:i", $expiryDate) .'</div><div style="float: right;">' . $expires . '</div></td>':(($expiryInHours < 168) ? $expires = '<td class="warning'.$CSS_for_IE6.'" value="'. $expiryInSeconds . '"><div style="float: left;">'.date("Y-m-d H:i", $expiryDate) .'</div><div style="float: right;">' . $expires . '</div></td>':$expires = '<td class="current'.$CSS_for_IE6.'" value="'. $expiryInSeconds . '"><div style="float: left;">'.date("Y-m-d H:i", $expiryDate) .'</div><div style="float: right;">' . $expires . '</div></td>');
		}else{
			$expires = '<td class="fatal'.$CSS_for_IE6.'" title="The license is already expired" value="'. $expiryInSeconds . '"> <div style="float: left;">'.date("Y-m-d H:i", $expiryDate) .'</div><div style="float: right;">Expired for ' . $expires . '</div></td>';
		} ?>
		<?= $expires ?>
		</tr>
		<?php 
		$fid++;
		}}
		?>
	</tbody>
</table>


<?
$index = 0;
foreach ($list as $product) {
		$featureList = $product->getFeatures();
		foreach ($featureList as $feature) {
			$feature_license = $feature->getLicenseFile();
			
			$prodname = str_split($feature->getProductName(),30);
			$productname = "";
			for($i = 0; $i < count($prodname); $i++){
				if($i == 0){
					$productname = $prodname[$i];
				}else
					$productname = $productname . "<br/>". $prodname[$i];
			}
			?>
			<span id='tip<?=$index++?>'  class='tooltip_content'><table class="bubbletip" cellspacing="0" cellpadding="0"><tbody><tr><td class="bt-topleft<?= $CSS_for_IE6; ?>"></td><td class="bt-top<?= $CSS_for_IE6; ?>"></td><td class="bt-topright<?= $CSS_for_IE6; ?>"></td></tr><tr><td class="bt-left<?= $CSS_for_IE6; ?>"></td><td class="bt-content"><table><tr><td class="product_name" colspan="2" id="pname"><?=$productname?></td></tr><tr><td class="bt-content">License Server:</td><td id="lserver"><?=$feature->getLicenseServer()?></td></tr><tr><td class="bt-content">License File:</td><td id="lfile"><?= $feature_license['basename'] != "" || $feature_license['basename'] != null ? $feature_license['basename'] : "undefined" ?></td></tr><tr><td class="bt-content">License Path:</td><td id="lpath"><?= $feature_license['dirname'] != "" || $feature_license['dirname'] != null ? str_replace("\\\\", "\\",  $feature_license['dirname']) : "undefined" ?></td></tr></table></td><td class="bt-right<?= $CSS_for_IE6; ?>" ></td></tr><tr><td class="bt-bottomleft<?= $CSS_for_IE6; ?>"></td><td class="bt-bottom<?= $CSS_for_IE6; ?>"></td><td class="bt-bottomright<?= $CSS_for_IE6; ?>"></td></tr></tbody></table></span>
			<?
		}}?>


<!-- Enable tablesorting --> <script type="text/javascript">

<!--
					
						var feature_status_table  = {};
						var feature_status_lost_table = {};
						window.addEvent('domready', function(){
							//feature_status_lost_table2 = new sortableTable('feature_status_lost_table', {overCls: 'over', sortOn: '1', sortBy: 'ASC', onClick: function(){alert(this.id)}});
							feature_status_table = new sortableTable('feature_status_table', {overCls: 'over', sortOn: '4', sortBy: 'ASC', onClick: function(){alert(this.id)}});
						});
						
						var posx=0;
						var posy=0;
						var offsetX=1;
						var offsetY=1;
						var popUp = false;
						var ent = document.getElementById("tooltip");


						function mtrack(e){
							 var edgeX=0;
							 var edgeY=0;
							 if (popUp) {
							     
							  if (!e) var e = window.event;
							  if (e.pageX || e.pageY) { //for non-IE
							  posx = e.pageX;
							  posy = e.pageY;
							  if(posx+400>=window.innerWidth + window.pageXOffset)edgeX=350;
							  if(posy+150>=window.innerHeight + window.pageYOffset)edgeY=150;
							 }
							 else if (e.clientX || e.clientY) { //for IE
							  if (document.documentElement){ //&& !document.documentElement.scrollTop){
								  // IE6 +4.01 but no scrolling going on
							   posx = e.clientX + document.documentElement.scrollLeft;
							         posy = e.clientY + document.documentElement.scrollTop;
							         if(posx+400>=document.documentElement.clientWidth+ document.documentElement.scrollLeft)edgeX=350;
							         if(posy+150>=document.documentElement.clientHeight+ document.documentElement.scrollTop)edgeY=160;
								  // IE6 +4.01 and user has scrolled
							  	}else if (document.body && document.body.scrollTop){
							   	  // IE5 or DTD 3.2
							         posx = e.clientX + document.body.scrollLeft;
							         posy = e.clientY + document.body.scrollTop;
							         if(posx+400>=document.body.clientWidth + document.body.scrollLeft)edgeX=350;
							         if(posy+150>=document.body.clientHeight + document.body.scrollTop)edgeY=160;
							  	}
							  }
							      ent.style.left = posx - edgeX + offsetX + "px";
							      ent.style.top = posy - edgeY + offsetY + "px";
							 }
							}

						function showHideDescription(id, visible) {

							var desc = document.getElementById(id);
							if (!desc) return;
							
							if (visible) {
								
								popUp = true;
								ent.innerHTML = desc.innerHTML;
							}else{
								popUp = false;
								ent.style.left = "-1000px" ;
								ent.style.top = "-1000px";
								ent.style.border = "none";
								ent.innerHTML = "";
								
							}
						}

						document.onmousemove = mtrack;


						// -->

						
				</script> <!-- end div sortabletable --></div>
</fieldset>
</div>


<div id="alertconfig">
<div id="status_email_add">
<fieldset><legend>Resource Links</legend>
<dl>
	<dd id="sendrss" style="padding-top: 5px; padding-bottom: 10px;">
		<a href="http://<?= $_SERVER['HTTP_HOST'] ?>/featurestatfeed.xml">RSS Feed</a></dd>
</dl>
</fieldset>
</div>
</div>

</div>

</body><?}?>
</html>
