<?php
	$CSS_for_IE6 = (strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE 6.') !== FALSE) ? '-IE' : ''; 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<?	
	RealTime::checkMessages();
	if(isset($_SESSION["ERROR_MESSAGE"])){		?>
				<div id="spacer">
					<h2 id="realtime_header"><?= tt("menu_dashboard_status") ?></h2>
					<?= $_SESSION["ERROR_MESSAGE"]?>
					<br />		<br />	
				</div>
		
	<?}else{
?>
<head>
	<link href="/css/sortableTable.css" rel="stylesheet" type="text/css" />
	<link href="/css/statusmonitor.css" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="/js/sortableTable.js"></script>	
	<script type="text/javascript" src="/js/scroller.js"></script>
	
</head>
<body>
<?if (isset($_SESSION["USER"]) && $_SESSION["USER"]->getId() != 9999999) {
	if(SystemSettings::get(SystemSettings::SERVER_NS . "menu.statusmonitor.featureexpiry", 0) > 0){?>
	<ul id="level3">
		<?= MenuDisplayer::menu('statussub'); ?>
	</ul>
	<?}
}else{
	include $_SERVER["DOCUMENT_ROOT"] . "/../" . "smarty/pages/header_status.php";
}

// Get user selections
$selection = new ReportSelection();

// If we have a offset posted, we use this when displaying checkout time
$TIMEZONE_OFFSET = $selection->get(RealTime::GUI_TIMEZONE_OFFSET) != "" && is_numeric($selection->get(RealTime::GUI_TIMEZONE_OFFSET)) ? (int) $selection->get(RealTime::GUI_TIMEZONE_OFFSET) : 0;

//echo " TIMEZONE" . $TIMEZONE_OFFSET;  
?>	
	<div class="clearer"></div>
<div id="spacer">
	
	<div id="status_license_analyzer" class="statusmodule">
		<h2 class="statusmonitor<?= $CSS_for_IE6; ?>">Product Status</h2>
		
		<fieldset>
			<legend>Current Product Status</legend>

			<div id="sortabletable">

				<!-- Filter function  -->	
				<div class="tableFilter">
			  		<form id="tableFilter" onsubmit="license_status_table.filter(this.id); return false;"><label>Filter:</label>  
						<select id="column">
			  				<option value="0">Product Name</option>
							<option value="1">Connection Status</option>
							<option value="2">License Server</option>
							<option value="3">Portnumber</option>
							<option value="4">Last Seen</option>
						</select>
						<input type="text" id="keyword" />
						<input type="submit" value="Submit" />
						<input type="reset" value="Clear" />
					</form>
				</div>				  

				<!-- List all products in sortable table  -->
				<table id="license_status_table" >
				<thead>
					<tr>				
						<th width=30% axis="string">Product Name</th>
						<th width=20% axis="string">Connection Status</th>
						<th width=10% axis="string">License Server</th>
						<th width=10% axis="string">Port Number</th>
						<th width=30% axis="number">Last Seen</th>
					</tr>
				</thead>
				
				<!-- Create rows, where status is updated based on current time since last poll. TODO: What happens when the server is in another timezone???  -->
				<tbody>
			<?php

	 		$id = 0;
 			foreach ($list as $product) { 
 					$MSU = $product->getMinutesSinceUpdate();
 					?>
					<tr id="<?= $id++ ?>">
					    <td value="<?= $product->name  ?>" <?= (strlen($product->name)>35) ? 'onmouseover="Scroller.start(this)" onmouseout="Scroller.stop(this)"' : '' ?> > <?= strlen($product->name)>35 ? trim(substr($product->name, 0, 35))."..." : $product->name ?></td>
						<?= $MSU > 15 ? ($MSU > 60 ? ($MSU > 360 ? '<td class="fatal'.$CSS_for_IE6.'" value="'.$MSU.'">Last update more than 6 hours ago</td>' : '<td class="critical'.$CSS_for_IE6.'" value="'.$MSU.'">Last update more than 60 minutes ago</td>')  : '<td class="warning'.$CSS_for_IE6.'" value="'.$MSU.'">Last update more than 15 min ago</td>') : '<td class="current'.$CSS_for_IE6.'" value="'.$MSU.'">Current</td>' ?>
						<td value="<?= $product->server ?>"><?= $product->server ?></td>
						<td value="<?= $product->serverport ?>"><?= $product->serverport ?></td>
						<? 	$lastSeen = $product->getLastSeenFormat();
						   	if($lastSeen != "N/A"){
								$lastSeen = "<td value='" . $product->getLastSeen() . "'>" . $lastSeen . "</td>";
							}else{
								$lastSeen = "<td value='" . $product->getLastSeen() . "' class='redflag' title='The last seen time seems to be collected in the future. Please check the clock on your server and client(s)'>&nbsp;&nbsp;&nbsp;N/A</td>";
							} ?>
						<?= $lastSeen ?>
					</tr>
			<?php } ?>
				</tbody>
				</table>

				<!-- Enable tablesorting -->	
				<script type="text/javascript">
				
						var license_status_table = {};
						var license_status_lost_table = {};
						window.addEvent('domready', function(){
							//license_status_lost_table2 = new sortableTable('license_status_lost_table', {overCls: 'over', sortOn: '1', sortBy: 'ASC', onClick: function(){alert(this.id)}});
							license_status_table = new sortableTable('license_status_table', {overCls: '', sortOn: '4', sortBy: 'ASC', onClick: function(){alert(this.id)}});
						});
						
				</script>
				<!-- end div sortabletable -->

			</div>
		</fieldset>

		<div id="alertconfig">		
			<div id="status_email_add">
				<fieldset>
					<legend>Resource Links</legend>	
						<dl>	
							<dd id="sendrss" style="padding-top: 5px; padding-bottom: 10px;">
								<a href="http://<?= $_SERVER['HTTP_HOST'] ?>/productstatfeed.xml">RSS Feed</a>
							</dd>
						</dl>
				</fieldset>
			</div>	
		</div>	

<? /*
		<!-- Alert config for RSS feeds and email warnings -->
		<div id="alertconfig">		
			<div id="status_email_add">
				<fieldset>
					<legend>Alert Config</legend>
					<p>Create custom email alerts. Select alert levels, and choose from email or RSS feeds.</p>		
					<form action="<?= $controller->getUrl(array(null, null)) ?>/put"  method="post" title="Send Emails">
						<dl class="floater">
							<dd class="header">Select your alert levels</dd>
							<dd><input type="checkbox" value="1" />15 minutes</dd>
							<dd><input type="checkbox" value="2" />1 hour</dd>
							<dd>
								<input type="checkbox" value="3" />Custom:
								<input type="text" size="2" />
								<select name=timerange>
									<option value=hour>Hours</option>
									<option value=minute>Minutes</option>
								</select>
							</dd>
							<dd><input type="checkbox" value="4" />Product resumes updates</dd>
						</dl>
						<dl class="floater">	
							<dd class="header">Select email or RSS delivery</dd>
							<dd id="sendmail"><input type="text" name="mail" id="mail" value="Enter e-mail address" /><input type="submit" value="Create Email Notification" /></dd>
							<dd id="sendrss"><a href="#">What are RSS feeds? Read more. </a><input type="button" value="Create RSS Feed" name="createRSS"></dd>
						</dl>
						<dl class="clearer"></dl>
					</form>						
				</fieldset>
			</div>	

			<div id="status_email_edit">
				<fieldset>
					<legend>Current Email Notifications</legend>
					<form method="post" action="">
					<table id="email_status_table" cellpadding="0" cellspacing="0">
					<thead>
						<tr class="header" >
							<th colspan="4" axis="string">Alert Level</th>
							<th axis="string">Details</th>
							<th axis="string">Delete Alert</th>
						</tr>
						<tr class="subheader" >
							<th axis="string">15 minutes</th>
							<th axis="string">1 hour</th>
							<th axis="string">Custom</th>
							<th axis="string">Status Resume</th>
							<th axis="string"></th>
							<th axis="string"></th>
						</tr>
					</thead>
					<tbody>
						<tr class="even">
							<td class="checked"></td>
							<td class="checked"></td>
							<td class="custom">4 h</td>
							<td class="unchecked"></td>
							<td class="recipient">To: glenn@openit.com, Subject: [OPENIT] Data Collection Warning <a href="#">Edit subject</a></td>
							<td class="delete"><input type="button" value="Remove" name="remove" ></td>
						</tr>
						<tr class="odd">
							<td class="unchecked"></td>
							<td class="checked"></td>
							<td class="custom">25 m</td>
							<td class="unchecked"></td>
							<td class="recipient">glenn2@openit.com</td>
							<td class="delete"><input type="button" value="Remove" name="remove" ></td>
						</tr>
						<tr class="even">
							<td class="checked"></td>
							<td class="checked"></td>
							<td class="custom">24 h</td>
							<td class="checked"></td>
							<td class="recipient">glenn3@openit.com</td>
							<td class="delete"><input type="button" value="Remove" name="remove" ></td>
						</tr>
					</tbody>
					</table>
					</form>	
				</fieldset>	
			</div>

		</div>
*/ ?>

	</div>
		
</div>
</body><?}?>
</html>
