<?php

if (isset($_SESSION["USER"]) && $_SESSION["USER"]->getId() == 9999999) {
	include "pages/header-tiny.php";
} else {
	include "pages/header.php";
	include "components/dashboard/submenu.php";
}
RealTime::checkMessages();
if(isset($_SESSION["ERROR_MESSAGE"])){?>
	<div id="content">
	<div id="spacer">
		<h2 id="realtime_header"><?= tt("menu_dashboard_license") ?></h2>
		<?= $_SESSION["ERROR_MESSAGE"] ?>		
	</div>
</div><?
}else{

	

$selection = new ReportSelection();
$isIE5 = $selection->get('isIE5');

$overlayFlag = SystemSettings::get(SystemSettings::SERVER_NS . "licensemonitor.overlay.mapping.data", 0);

if($overlayFlag > 0 && isset($_SESSION["USERDATA"])){

foreach($realtime->getUsers() as $user) {
		//$sql = "SELECT name,value FROM vData where id='" . $user->name ."' AND length(value) > 0 group by name";
		$result = $_SESSION["USERDATA"]["SELECTION"][$user->name];
		?>
		<span id='tiptool<?=$user->name?>'  class='tooltip_content' style="z-index:2">
			<table class="bubbletip" cellspacing="0" cellpadding="0" width="400px"><tbody>
			<tr><td <?= $isIE5 ? print( 'style="filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(enabled=true, sizingMethod=scale, src=\'/gfx/bubbletip/bubbletip-TL-corner.png\');height:33px;width:33px;"') : print('class="bt-topleft"')?> ></td>
				<td <?= $isIE5 ? print( 'style="filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(enabled=true, sizingMethod=scale, src=\'/gfx/bubbletip/bubbletip-T.png\');"') : print('class="bt-top"')?> ></td>
				<td <?= $isIE5 ? print( 'style="filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(enabled=true, sizingMethod=scale, src=\'/gfx/bubbletip/bubbletip-TR-corner.png\');"') : print('class="bt-topright"')?> ></td></tr>
			<tr><td <?= $isIE5 ? print( 'style="filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(enabled=true, sizingMethod=scale, src=\'/gfx/bubbletip/bubbletip-L.png\');"') : print('class="bt-left"')?> ></td>
				<td class="bt-content">
			<table width="100%">
				<tr  >
					<td colspan="2"><div style="float:left; border:0; padding-right:8px"><img  src="/gfx/icons/businessman32.png" /></div>
					<div><span style="font-size:15px;color:#008080;font-weight:bold;"><?= $result[1]['value'] ?></span><br/><?= $result[0]['value'] ?></div></td>
				</tr>
		<?foreach($result as $row){
			$varName = $row['name'];
			$varValue = $row['value'];
			if($row['name'] == "displayName" || $row['name'] == "name" || $row['name'] == "sAMAccountName" || $row['name'] == "cn" || $row['name'] == "sn" ) continue;
			$varName = $varName == "mail" ? "E-mail" : $varName;
			$varName = ucfirst(preg_replace("([A-Z]+)", " $0", $varName)).":";
		?>
				<tr><td class="bt-content" width="140px"><b><?=$varName?></b></td><td style="word-break:break-all" ><?=$varValue?></td></tr>
		<?}?>
		</table></td>
			<td <?= $isIE5 ? print( 'style="filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(enabled=true, sizingMethod=scale, src=\'/gfx/bubbletip/bubbletip-R.png\');"') : print('class="bt-right"')?> ></td></tr><tr>
			<td <?= $isIE5 ? print( 'style="filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(enabled=true, sizingMethod=scale, src=\'/gfx/bubbletip/bubbletip-BL-corner.png\');"') : print('class="bt-bottomleft"')?>></td>
			<td <?= $isIE5 ? print( 'style="filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(enabled=true, sizingMethod=scale, src=\'/gfx/bubbletip/bubbletip-B.png\');"') : print('class="bt-bottom"')?>></td>
			<td <?= $isIE5 ? print( 'style="filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(enabled=true, sizingMethod=scale, src=\'/gfx/bubbletip/bubbletip-BR-corner.png\');height:33px;width:33px;"') : print('class="bt-bottomright"')?>></td>
		</tr></tbody></table></span>
		<?
	}
}?>

<div id="content" class="licensestatus">
<div id="spacer">
<h2 id="realtime_header"><?= tt("menu_dashboard_license") ?></h2>

<form action="post_action.php" method="post">


<div style="float: left; width: 17em; margin-right: 1em; position: relative;">


<fieldset class="filters" id="realtime_filter" style="padding: 0 0 0 1em">

	<legend><?= tt("dashboard_license_legend_filtering") ?></legend>
	<a href="javascript:resetform();">Reset Filtering</a><br />
	<?= html::checkbox(RealTime::GUI_PRODUCT_MAPPING, "1", RealTime::GUI_PRODUCT_MAPPING, "sendProductMapping(this);") ?> Use Product Mapping <br />
	
	
<ol>
	
	<li>
	Search:
	<input type="text" id="searchpkey" name="searchpkey" size="19" onkeyup='searchValues(this,"products");'></input>
	<label for="realtime_products_list">Products</label> 
	
	<span class="formfield_control" id="realtime_products_list_outer">
<?php
$mapRename = $_SESSION['productRenameMap'];
$type = "products";
$list = $realtime->getProducts();
include "components/dashboard/license/value_list.php";
?>	</span>

</li>

	
	
	<li>
	Search:
	<input type="text" id="searchfkey" name="searchfkey" size="19" onkeyup='searchValues(this,"features")'></input><label for="realtime_features_list">Features</label> 
	<span class="formfield_control" id="realtime_features_list_outer"> 		
<?php
$mapRename = $_SESSION['featureRenameMap'];
$type = "features";
$list = $realtime->getFeatures();
include "components/dashboard/license/value_list.php";
?>	</span>

</li>

	
	<li>
	Search:
	<input type="text" id="searchukey" name="searchukey" size="19" onkeyup='searchValues(this,"users")'></input>
	<label for="realtime_users_list">Users</label> <span
		class="formfield_control" id="realtime_users_list_outer">
<?php
$type = "users";
$list = $realtime->getUsers();
include "components/dashboard/license/value_list.php";
?>
</span></li>




<?php 

/*


	<li><label for="realtime_package_list">package</label> <span
		class="formfield_control">
		
		<select id="realtime_package_list" size="7" name="realtime_package_list" multiple="multiple">
< ?php
$classification = $realtime->getPackage();
$rtPaId = $classification->getUID();
include "components/realtime/value_list.php";
? >
	</select> </span></li>




	<li><label>Server Type</label><span class="formfield_control"><select
		size="3" id="realtime_servertype">
		<option>All</option>
		<option>Flex</option>
		<option>IBM/LUM</option>
	</select> </span></li>

*/ ?>

</ol>
</fieldset>
</div>

<div style="">



<fieldset><legend><?= tt("dashboard_license_legend_selections") ?></legend>

	<div style="float: left; width: 49%;">
		<fieldset id="realtime_report_type"><legend><?= tt("dashboard_license_legend_sorting") ?></legend>
			<label for="<?= RealTime::GUI_SORTBY ?>">		
				<?= tt("dashboard_license_sort_title") ?>
			<?php
				$sort = array(
					"name" => 	tt("dashboard_license_sort_name"),
					"used" => 	tt("dashboard_license_sort_used"),
					"unused" =>	tt("dashboard_license_sort_unused"),			
					"total" => 	tt("dashboard_license_sort_total"),
					"time" => 	tt("dashboard_license_sort_time"),				
				);
				echo html::select(RealTime::GUI_SORTBY, $sort, RealTime::GUI_SORTBY, "sendSortType(this);;");	
			?>
			</label>

			<label for="<?= RealTime::GUI_SORTASC ?>_1" style="white-space: nowrap;">
				<?= html::radio(RealTime::GUI_SORTASC, "0", RealTime::GUI_SORTASC . "_1", "sendSortAsc(0);"); ?>
				<img src="/gfx/icons/sort_ascending24.png" border="0" /><?= tt("dashboard_license_sortdirection_asc") ?>
			</label>
			
			<label for="<?= RealTime::GUI_SORTASC ?>_2" style="white-space: nowrap;">					
				<?= html::radio(RealTime::GUI_SORTASC, "1", RealTime::GUI_SORTASC . "_2", "sendSortAsc(1);"); ?>
				<img src="/gfx/icons/sort_descending24.png" border="0" /><?= tt("dashboard_license_sortdirection_desc") ?>
			</label>		

		</fieldset>
	</div>
	
	<div style="float: right; width: 49%;">	
		<fieldset id="realtime_report_type"><legend><?= tt("completeselection_presentation_chartheader_reporttype") ?></legend>
			<label for="presentation_type_chart" style="white-space: nowrap;"> 
				<?= html::radio("presentation_type", "chart", "presentation_type_chart", "sendReportType('chart');") ?>
				<img src="/gfx/icons/bar24.png" border="0" /><?= tt("completeselection_presentation_label_chart") ?>
			</label>
			<label for="presentation_type_table" style="white-space: nowrap;">
				<?= html::radio("presentation_type", "table", "presentation_type_table", "sendReportType('table');") ?>	
				<img src="/gfx/icons/table24.png" border="0" /><?= tt("completeselection_presentation_label_table") ?>
			</label>

			<?php /*
				$viewby = array(
					"products" => "Products",
					"features" => "Features",
					//"users" => "Users",
				);
				echo html::select(RealTime::GUI_VIEWBY, $viewby, RealTime::GUI_VIEWBY, "setSelection(this); reloadUsage();");
				*/	
			?>
						
		</fieldset>
	</div>
	
	<div class="clearer"></div>

</fieldset>


<fieldset><legend>License Usage</legend>

<div>
	<div style="float: left;">
		<?= html::checkbox(RealTime::GUI_AUTO_RELOAD, '1', RealTime::GUI_AUTO_RELOAD) ?>
		<?= tt('dashboard_license_reload_5min') ?>	
	</div>
	<div style="float: right; margin-left: 10px;">		
		<a href="javascript:reloadUsage(true)"><?= tt("dashboard_license_reload") ?></a>
	</div>	
	<div style="float: right;">
		<?= tt("dashboard_license_collection_time") ?>
		<span id="rtupdated"></span>
	</div>
</div>
<div style="clear: both"></div>

<div id="rtusage">
</div>	

</fieldset>

<?php 
/*
<fieldset><legend>Test Chart</legend>

<?php for ($i=0; $i<5; $i++) { ?>

	<div style="float: left;">
		<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,0,0" 
		width="200" height="200" id="ie_chart" align="middle">
			<param name="allowScriptAccess" value="sameDomain" />
			<param name="movie" value="/js/open-flash-chart.swf?data=%2Frealtime%2Fchart_data.php" />
			<param name="quality" value="high" />
			<param name="bgcolor" value="#FFFFFF" />
			<embed src="/js/open-flash-chart.swf?data=%2Frealtime%2Fchart_data.php" quality="high" bgcolor="#FFFFFF" width="200" height="200" name="chart" align="middle" allowScriptAccess="sameDomain" 
		type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" id="chart"/>
		</object>
	</div>

<?php } ?>

</fieldset>
*/ ?>


</div>

<div class="clearer"></div>
</form>
</div>
</div>

<script type="text/javascript">
<!--

function getIEVersionNumber() {
    var ua = navigator.userAgent;
    var MSIEOffset = ua.indexOf("MSIE ");
    var ieVersion;

    if (MSIEOffset > -1) {
        ieVersion=parseFloat(ua.substring(MSIEOffset + 5, ua.indexOf(";", MSIEOffset)));
        //alert(ieVersion);
        if(ieVersion<7) sendData('complete_selection/post_presentation_selection.php', '', 'key', 'isIE5', 'value', true);
        else sendData('complete_selection/post_presentation_selection.php', '', 'key', 'isIE5', 'value', false);
    	//sendData('complete_selection/post_presentation_selection.php', '', 'key', 'browserName', 'value', navigator.appName );
    }

}

var posx=0;
var posy=0;
var offsetX=1;
var offsetY=1;
var popUp = false;
var ent = document.getElementById("tooltip");


function mtrack(e){
	 var edgeX=0;
	 var edgeY=0;
	 if (popUp) {
	     
	  if (!e) var e = window.event;
	  if (e.pageX || e.pageY) { //for non-IE
	  posx = e.pageX;
	  posy = e.pageY;
	  if(posx+400>=window.innerWidth + window.pageXOffset)edgeX=350;
	  if(posy+150>=window.innerHeight + window.pageYOffset)edgeY=150;
	 }
	 else if (e.clientX || e.clientY) { //for IE
	  if (document.documentElement){ //&& !document.documentElement.scrollTop){
		  // IE6 +4.01 but no scrolling going on
	   posx = e.clientX + document.documentElement.scrollLeft;
	         posy = e.clientY + document.documentElement.scrollTop;
	         if(posx+400>=document.documentElement.clientWidth+ document.documentElement.scrollLeft)edgeX=350;
	         if(posy+150>=document.documentElement.clientHeight+ document.documentElement.scrollTop)edgeY=160;
		  // IE6 +4.01 and user has scrolled
	  	}else if (document.body && document.body.scrollTop){
	   	  // IE5 or DTD 3.2
	         posx = e.clientX + document.body.scrollLeft;
	         posy = e.clientY + document.body.scrollTop;
	         if(posx+400>=document.body.clientWidth + document.body.scrollLeft)edgeX=350;
	         if(posy+150>=document.body.clientHeight + document.body.scrollTop)edgeY=160;
	  	}
	  }
	      ent.style.left = posx - edgeX + offsetX + "px";
	      ent.style.top = posy - edgeY + offsetY + "px";
	 }
	}

	function showHideDescription(id, visible) {
		var desc = document.getElementById(id);
		if (!desc) return;
		
		if (visible) {
			
			popUp = true;
			ent.innerHTML = desc.innerHTML;
		}else{
			popUp = false;
			ent.style.left = "-1000px" ;
			ent.style.top = "-1000px";
			ent.style.border = "none";
			ent.innerHTML = "";
			
		}
	}

	document.onmousemove = mtrack;


function searchValues(keywordObj,type) {
	
	// Get elements
	//var type= keywordObj.getAttribute("name");
	var keywords = keywordObj.value;
	var list = document.getElementById('realtime_' + type + '_list');
	var dlist = document.getElementById('realtime_' + type + '_list_filter');
	var orglistarea = document.getElementById('orig' + type + 'list');
	var duplistarea = document.getElementById('dup' + type + 'list');
	
	// Do we have a search word
	if (keywords != "") {
		list.style.display = 'none';
		dlist.style.display = 'block';			
		orglistarea.style.display = 'none';
		duplistarea.style.display = 'inline';
	}
	
	// No search
	else {
		list.style.display = 'block';
		dlist.style.display = 'none';
		orglistarea.style.display = 'inline';
		duplistarea.style.display = 'none';
		return;
	}
	
	// Create instance of regular expression validator		
	var regexp = new RegExp(keywords, "i");
	
	// Empty destination
	dlist.options.length = 0;
	
	// Create a clone of the source, to the destination	
	for (var i=0; i<list.options.length; i++) {

		// See if we have a match		
		if (regexp.test(list.options[i].text)) {	
		
			// Get a clone
			var clone = list.options[i].cloneNode(true);
			
			// Mark as selected if it should be
			clone.selected = (list.options[i].selected) ? true : false;
			
			// Add to new select box
			dlist.appendChild(clone);
		}
	}
		
}

//Passes the selected/deselected values from the duplicate to the original list
function callBack(type) {
	// Get elements
	var source = document.getElementById('realtime_' + type + '_list');
	var destination = document.getElementById('realtime_' + type + '_list_filter');
	
	var sourceId = 0;
	
	// Find all elements that has changed, and reflect this back to the source
	for (var i=0; i<destination.options.length; i++) {
	
		// Find the original option object
		for (;sourceId<source.options.length; sourceId++){
			if (source.options[sourceId].value == destination.options[i].value) break;
		}
		// Update the source
		source.options[sourceId].selected = destination.options[i].selected;
	} 
}

// Send TimeZone offset
function postTimezoneOffset() {
	sendData('complete_selection/post_presentation_selection.php', '', 'key', '<?= RealTime::GUI_TIMEZONE_OFFSET ?>', 'value', new Date().getTimezoneOffset() * -60);
	sendData('complete_selection/post_presentation_selection.php', '', 'key', '<?= RealTime::GUI_CLIENT_TIME ?>', 'value', new Date().getTime() );
}

function drillDown(type, name) {
	if (type == "products") {
		name=escape(name);		//Decode the name from htmlentities
		//gebi("realtime_viewby").selectedIndex = 1;
	} else if (type == "features") {
		name=escape(name);		//Decode the name from htmlentities
		//gebi("realtime_viewby").selectedIndex = 2;		
	} else if (type == "users") {	
		if (gebi("userInfoList_" + name)!= null){
			if (gebi("userInfoList_" + name).style.display == "none") {
				sendData('dashboard/license/post_userblock.php', '', 'name', name);
				gebi("userInfoList_" + name).style.display = "block";
			} else {
				sendData('dashboard/license/post_userblock.php', '', 'name', name);
				gebi("userInfoList_" + name).style.display = "none";
			}
			return;
		}else return;
	}
	
	sendData('dashboard/license/post_drilldown.php', 'postDone', 'type', type, 'name', name);
}


function reloadUsage(fresh) {
	startLoading();
	if (fresh) {
		sendData('dashboard/license/get_data.php', 'reloadUsageReturn', 'fresh', '1');
	} else {
		sendData('dashboard/license/get_data.php', 'reloadUsageReturn');
	}
}


function reloadUsageReturn(data) {
	startLoading();
	// Data is returned as a JSON object - An eval will parse the object quickly
	var data = eval('(' + data + ')');

	startLoading();
	gebi("rtusage").innerHTML = data["rtusage"];
	gebi("rtupdated").innerHTML = data["updated"];
	stopLoading();
}


function sendSelectedValue(list, type) {
	var values = Array();
	for (var i=0; i<list.options.length; i++) {
		if (list.options[i].selected) {
			values.push(list.options[i].value);
		}
	}
	
	// Send data
	sendData('dashboard/license/post_value.php', 'postDone', 'type', type, 'ids', escape(values.join("|")).replace(/\+/g, "%2B"));
}


function sendUserSorting(type, noreload) {
	if (noreload) sendData('dashboard/license/post_usersorting.php', '', 'type', type);
	else sendData('dashboard/license/post_usersorting.php', 'reloadUsage', 'type', type);
}

function sendSortType(obj) {
	var value = obj.options[obj.selectedIndex].value;
		
	if (value == 'name') {
		sendUserSorting('name', true);
	}
	
	else if (value == 'time') {
		sendUserSorting('time', true);
	}
	
	else if (value == 'used') {
		sendUserSorting('count', true);
	}		
		
	sendData('complete_selection/post_presentation_selection.php', 'reloadUsage', 'key', '<?= RealTime::GUI_SORTBY ?>', 'value', value);
}

function sendSortAsc(value) {
	sendData('complete_selection/post_presentation_selection.php', 'reloadUsage', 'key', '<?= RealTime::GUI_SORTASC ?>', 'value', value);
}

function sendReportType(value) {
	sendData('complete_selection/post_presentation_selection.php', 'reloadUsage', 'key', 'presentation_type', 'value', value);
}

function sendProductMapping(obj) {
	if (obj.checked) 
		sendData('complete_selection/post_presentation_selection.php', 'sendProductMappingReturn', 'key', '<?= RealTime::GUI_PRODUCT_MAPPING ?>', 'value', obj.value);
	else 
		sendData('complete_selection/post_presentation_selection.php', 'sendProductMappingReturn', 'key', '<?= RealTime::GUI_PRODUCT_MAPPING ?>', 'value', '');
}

function sendProductMappingReturn() {

	// Reload value lists
	reloadUsage(true);

	// Send fake deselect of all products	
	sendData('dashboard/license/post_value.php', 'postDone', 'type', 'products', 'ids', '');
}

function postDone() {	
	// Reload the selection lists
	sendData('dashboard/license/get_value.php', 'valueReturn');
}


function valueReturn(data) {
	
	// Data is returned as a JSON object - An eval will parse the object quickly
	var data = eval('(' + data + ')');

	if (data["realtime_products_list_outer"]) {
		gebi("realtime_products_list_outer").innerHTML = data["realtime_products_list_outer"];
	}
	
	if (data["realtime_features_list_outer"]) {
		gebi("realtime_features_list_outer").innerHTML = data["realtime_features_list_outer"];
	}
	
	if (data["realtime_users_list_outer"]) {
		gebi("realtime_users_list_outer").innerHTML = data["realtime_users_list_outer"];
	}
	
	addLocalEvents();

	// Reload usage report
	reloadUsage();		
	searchValues(document.getElementById("searchpkey"),"products");
	searchValues(document.getElementById("searchfkey"),"features");
	searchValues(document.getElementById("searchukey"),"users");

}

function addLocalEvents() {
	// Add event hooks on the selection lists
	addEvent("realtime_products_list", "onchange", "sendSelectedValue(this, 'products');");
	addEvent("realtime_features_list", "onchange", "sendSelectedValue(this, 'features');");
	addEvent("realtime_products_list_filter", "onchange", "callBack('products');sendSelectedValue(document.getElementById('realtime_products_list'), 'products');");
	addEvent("realtime_features_list_filter", "onchange", "callBack('features');sendSelectedValue(this, 'features');");
	addEvent("realtime_users_list", "onchange", "sendSelectedValue(this, 'users');");
	addEvent("realtime_users_list_filter", "onchange", "callBack('users');sendSelectedValue(this, 'users');");
}

function resetform() {

	// Reset selections
	unSelectAll('realtime_products_list');
	unSelectAll('realtime_products_list_filter');
	unSelectAll('realtime_features_list');
	unSelectAll('realtime_features_list_filter');
	unSelectAll('realtime_users_list');
	unSelectAll('realtime_users_list_filter');
	

	document.getElementById("searchpkey").value="";
	document.getElementById("searchfkey").value="";
	document.getElementById("searchukey").value="";
	//gebi("<?= RealTime::GUI_VIEWBY ?>").selectedIndex = 0;
	gebi("<?= RealTime::GUI_SORTBY ?>").selectedIndex = 0;
	gebi("<?= RealTime::GUI_SORTASC ?>_1").checked = true;
	
	
	// Send reset, when reset is sent and returned, we reload value list, and the report graph
	sendData('dashboard/license/reset.php', 'postDone');
}

// auto reload timer
function checkForReaload() {
	if (gebi('<?= RealTime::GUI_AUTO_RELOAD ?>').checked) {
		reloadUsage();
	}	
	setTimeout('checkForReaload();', 300000);
}


// Add events, and reload usage
getIEVersionNumber();
setTimeout('postTimezoneOffset();', 1);
setTimeout('addLocalEvents(); reloadUsage();', 100);
setTimeout('checkForReaload();', 300000);

//-->
</script>


<?php
}
if ($_SESSION["USER"]->getId() == 9999999) {
	include "pages/footer_nologin.php";
} else {
	include "pages/footer.php";
}

?>